Subject: Re: [PATCH iproute2-next 1/2] dcb: add new pcp-prio parameter to dcb app

From: Petr Machata <[email-masked]>
Date: Fri, 25 Nov 2022 14:12:55 +0100

<[email-masked]> writes:

>> Petr Machata <[email-masked]> writes:
>> 
>> > This looks good to me overall, I just have a few nits.
>> 
>> Actually, one more fairly fundamental thing that occurred to me. If a
>> user doesn't care about DEI, they need to do this using two rules: say
>> 1:1 and 1de:1.
>> 
>> I wonder if it would make sense to assume that people are more likely to
>> not care about DEI at all, and make the 1:1 mean that. Then 1:1 would be
>> a shorthand for expressing two rules, one for DE=0, one for DE=1.
>> 
>> If the user does care about DEI, they would either say 1de:1 or 1nd:1,
>> depending on what they want the DEI to be.
>> 
>> If you generally agree with this idea, but don't have spare cycles to
>> code it up, would you please just make the PCP keys "${prio}de" and
>> "${prio}nd"? (Or whatever, but have the syntax reflect the DEI state in
>> both cases.) I think I'll be able to scrape a bit of a free time on some
>> weekend to add the syntax sugar.
>
> I think this could be useful and 'de', 'nd' (not-drop-eligible?) is fine

Yeah, no-drop. It could also be de/nde perhaps, I have no strong
preference here.

> by me. However, it is perfectly useable for me in its current form so I
> wont object if you can find the time to code this addition. Is there any
> reason to add the '${prio}nd' keys upfront?

Yes, so that the semantics do not change. Whatever 1:1 means now, that's
what it will have to mean basically forever. That's why I'm asking you
to change to 1de:1 and 1nd:1, so that the 1:1 syntax remains free.